def init_loadpath
  $LOAD_PATH.unshift(File.expand_path("../../runtime/lib", $0))
end

def load_lib_files
  require "gl_program"
  require "runtime"
  require "widget"
  require "window"
end

def main(argv)
  init_loadpath
  load_lib_files
end

main(ARGV)
